Subject: Accidentally pasting lots of text into To field can get ^C ignored

From: Matt Ackeret <[email-masked]>
Date: Tue, 13 Apr 2004 18:13:04 -0700 (PDT)

I accidentally pasted a bunch of text into the To field (instead of the email
address I meant to paste of course).. and got the message at the bottom of
the screen that To addresses must be separated by commas.

However, ^C was also ignored at this point.  I had to delete all of the
text in the To field, enter the external editor, exit, then I could cancel
again.

I can reproduce this sporadically, but not every single time (and with the
same text I'm pasting).

Is there anything I can figure out in gdb why ^C is being ignored?  I was
still able to do ^G to bring up the menu text (I'm in the mode where it
only shows the menu when I ask for it).

Also, seemingly related, is that after I get into this mode, a specific
message shows up messed up (whereas it shows up normally at first).  I'm
not positive these are related, but it sure seems like a cause->effect
scenario..

for example, the message shows up like this:

    [ The following text is in the "ISO-8859-1" character set. ]
    [ Your display is set for the "US-ASCII" character set.  ]
    [ Some characters may be displayed incorrectly. ]

^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@

and so on..  but before I tried the experiment, the message showed up
properly.

I presume both of these problems mean that something "UNIXy" (heh) is getting
mucked up, I just don't know enough about how terminal interactions actually
work to figure it out.

I'm using pine 4.55 on Mac OS X btw.
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------